Update Control Within a Section in a Policy

PUT /pcas/v3/policy/section/control/

With this API, you can update a control within a section of a compliance policy.

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

policyId={value} Required Integer The ID of the policy from which you want to update control within a section.
sectionNumber={value} Required Integer The section number from which you want to update control.
controlId={value} Required Integer The ID of the control which needs to be updated from a particular section of the policy.
criticality={value} Optional String Specify the control criticality value as defined in the specific control 
Default Values: CRITICAL, MEDIUM, UNDEFINE, URGENT, MINIMAL, SERIOUS
referenceText={value} Optional String Reference text for the control to be updated within the section of the policy. 
isControlDisable={value} Optional String The value as either 'true' or 'false' to disable/enable
the control status.
controlNumber={value} Optional Integer The new control number if you desired to modify
sequence of a control within the section of a policy.

Sample - Update a control within a specified section of the policySample - Update a control within a specified section of the policy

API Request

curl -X 'PUT' \
'https://<qualys_base_url>/pcas/v3/policy/section/control' \
-H 'accept: */*' \
-H 'Authorization: Bearer 'token' \
-H 'Content-Type: application/json' \
-d '{
"policyId": 5656121,
"sectionNumber": 1,
"controlId": 1072,
"criticality": "CRITICAL",
"referenceText": "Control 1072",
"isControlDisable": false,
"controlNumber": 1
}'

XML Output

204


 

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.